Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Policy_Current Class Reference

`#include <Policy_Manager.h>`

Inheritance diagram for TAO_Policy_Current

[legend]
Collaboration diagram for TAO_Policy_Current:

[legend]
List of all members.

## Public Methods
| TAO_Policy_Current (void)
| Constructor.
CORBA::Policy_ptr | get_policy ( CORBA::PolicyType policy, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
| Obtain a single policy.
virtual CORBA::PolicyList* | get_policy_overrides ( const CORBA::PolicyTypeSeq & ts, CORBA::Environment &ACE_TRY_ENV = CORBA::Environment::default_environment () ) throw (CORBA::SystemException)
virtual void | set_policy_overrides ( const CORBA::PolicyList & policies, CORBA::SetOverrideType set_add, CORBA::Environment &ACE_TRY_ENV = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, CORBA_InvalidPolicies)
CORBA::Policy_ptr | get_cached_policy (TAO_Cached_Policy_Type type)
| Obtain a single cached policy.
TAO_Policy_Current_Impl& | implementation (void) const
TAO_Policy_Current_Impl& | implementation (TAO_Policy_Current_Impl &)

## Constructor & Destructor Documentation

ACE_INLINE TAO_Policy_Current::TAO_Policy_Current ( | void )

| Constructor.

## Member Function Documentation

ACE_INLINE CORBA::Policy_ptr TAO_Policy_Current::get_cached_policy ( | TAO_Cached_Policy_Type type )

| Obtain a single cached policy.

ACE_INLINE CORBA::Policy_ptr TAO_Policy_Current::get_policy ( | CORBA::PolicyType policy,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )

| Obtain a single policy.

ACE_INLINE CORBA::PolicyList * TAO_Policy_Current::get_policy_overrides ( | const CORBA::PolicyTypeSeq & ts,
| CORBA::Environment & ACE_TRY_ENV = CORBA::Environment::default_environment () ) throw (CORBA::SystemException)`[virtual]`

const char *get_rcsid_tao _ TAO_Policy_Current_Impl & TAO_Policy_Current::implementation ( | TAO_Policy_Current_Impl & current )`[inline]`

TAO_Policy_Current_Impl & TAO_Policy_Current::implementation ( | void ) const

ACE_INLINE void TAO_Policy_Current::set_policy_overrides ( | const CORBA::PolicyList & policies,
| CORBA::SetOverrideType set_add,
| CORBA::Environment & ACE_TRY_ENV = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, CORBA_InvalidPolicies)`[virtual]`

The documentation for this class was generated from the following files:

- Policy_Manager.h
- Policy_Manager.cpp
- Policy_Manager.i